SELECT
    goodsId -- 商品id
     , title -- 商品名称
     , subTitle -- 商品副标题
     , createVid -- 创建商品组织id
     , outerGoodsCode -- 外部商品编码
     , goodsStockNum -- 商品库存
     , minSalePrice -- 商品最小销售价
     , maxSalePrice -- 商品最大销售价
     , realSaleNum -- 商品实际销量
     , case when soldType = 1 then '现货'
            when soldType = 2 then '预售'
            when soldType = 3 then '抽签购'
    end soldType -- 销售类型
     , case when goodsType = 1 then '实物商品'
            when goodsType = '2' then '虚拟商品'
    end goodsType -- 一级商品类型
     , case when subGoodsType = 101 then '普通商品'
            when subGoodsType = 102 then '海淘商品'
            when subGoodsType = 103 then '无需物流实物商品'
            when subGoodsType = 201 then '普通虚拟商品'
            when subGoodsType = 202 then '付费券虚拟商品'
            when subGoodsType = 203 then '预约到店'
    end subGoodsType -- 二级商品类型
     , isMultiSku -- 是否多规格
     , isOnline -- 是否上架
     , isCanSell -- 是否可售
     , sort -- 排序
     , from_unixtime(cast(left(onlineTime,10) as unsigned integer)) onlineTime -- 上架时间
FROM ods_weimob_goods_getlist_d